Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network208.0.0.0/4
Usable hosts268,435,454
Subnet mask240.0.0.0
Addresses268,435,456
Network address
208.0.0.0
Broadcast address
223.255.255.255
First usable
208.0.0.1
Last usable
223.255.255.254
Usable hosts
268,435,454 (268,435,456 less the network and broadcast addresses)
Subnet mask
240.0.0.0
Wildcard mask
15.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/4
Type
Public public
Old class
C (default /24)
As numbers
Hex D0000000 · Integer 3489660928 to 3758096383
Reverse DNS zones
208.in-addr.arpa
209.in-addr.arpa
210.in-addr.arpa
211.in-addr.arpa
212.in-addr.arpa
213.in-addr.arpa
214.in-addr.arpa
215.in-addr.arpa
216.in-addr.arpa
217.in-addr.arpa
218.in-addr.arpa
219.in-addr.arpa
220.in-addr.arpa
221.in-addr.arpa
222.in-addr.arpa
223.in-addr.arpa
/4 is not on a 8-bit boundary, so it takes 16 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010000.00000000.00000000.00000000208.0.0.0
Subnet mask11110000.00000000.00000000.00000000240.0.0.0
Network11010000.00000000.00000000.00000000208.0.0.0
Broadcast11011111.11111111.11111111.11111111223.255.255.255
Split into smaller subnets/16

208.0.0.0/4 makes 4,096 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1208.0.0.0/16208.0.0.1 to 208.0.255.254208.0.255.25565,534
2208.1.0.0/16208.1.0.1 to 208.1.255.254208.1.255.25565,534
3208.2.0.0/16208.2.0.1 to 208.2.255.254208.2.255.25565,534
4208.3.0.0/16208.3.0.1 to 208.3.255.254208.3.255.25565,534
5208.4.0.0/16208.4.0.1 to 208.4.255.254208.4.255.25565,534
6208.5.0.0/16208.5.0.1 to 208.5.255.254208.5.255.25565,534
7208.6.0.0/16208.6.0.1 to 208.6.255.254208.6.255.25565,534
8208.7.0.0/16208.7.0.1 to 208.7.255.254208.7.255.25565,534
9208.8.0.0/16208.8.0.1 to 208.8.255.254208.8.255.25565,534
10208.9.0.0/16208.9.0.1 to 208.9.255.254208.9.255.25565,534
11208.10.0.0/16208.10.0.1 to 208.10.255.254208.10.255.25565,534
12208.11.0.0/16208.11.0.1 to 208.11.255.254208.11.255.25565,534
13208.12.0.0/16208.12.0.1 to 208.12.255.254208.12.255.25565,534
14208.13.0.0/16208.13.0.1 to 208.13.255.254208.13.255.25565,534
15208.14.0.0/16208.14.0.1 to 208.14.255.254208.14.255.25565,534
16208.15.0.0/16208.15.0.1 to 208.15.255.254208.15.255.25565,534
17208.16.0.0/16208.16.0.1 to 208.16.255.254208.16.255.25565,534
18208.17.0.0/16208.17.0.1 to 208.17.255.254208.17.255.25565,534
19208.18.0.0/16208.18.0.1 to 208.18.255.254208.18.255.25565,534
20208.19.0.0/16208.19.0.1 to 208.19.255.254208.19.255.25565,534
21208.20.0.0/16208.20.0.1 to 208.20.255.254208.20.255.25565,534
22208.21.0.0/16208.21.0.1 to 208.21.255.254208.21.255.25565,534
23208.22.0.0/16208.22.0.1 to 208.22.255.254208.22.255.25565,534
24208.23.0.0/16208.23.0.1 to 208.23.255.254208.23.255.25565,534
25208.24.0.0/16208.24.0.1 to 208.24.255.254208.24.255.25565,534
26208.25.0.0/16208.25.0.1 to 208.25.255.254208.25.255.25565,534
27208.26.0.0/16208.26.0.1 to 208.26.255.254208.26.255.25565,534
28208.27.0.0/16208.27.0.1 to 208.27.255.254208.27.255.25565,534
29208.28.0.0/16208.28.0.1 to 208.28.255.254208.28.255.25565,534
30208.29.0.0/16208.29.0.1 to 208.29.255.254208.29.255.25565,534
31208.30.0.0/16208.30.0.1 to 208.30.255.254208.30.255.25565,534
32208.31.0.0/16208.31.0.1 to 208.31.255.254208.31.255.25565,534
33208.32.0.0/16208.32.0.1 to 208.32.255.254208.32.255.25565,534
34208.33.0.0/16208.33.0.1 to 208.33.255.254208.33.255.25565,534
35208.34.0.0/16208.34.0.1 to 208.34.255.254208.34.255.25565,534
36208.35.0.0/16208.35.0.1 to 208.35.255.254208.35.255.25565,534
37208.36.0.0/16208.36.0.1 to 208.36.255.254208.36.255.25565,534
38208.37.0.0/16208.37.0.1 to 208.37.255.254208.37.255.25565,534
39208.38.0.0/16208.38.0.1 to 208.38.255.254208.38.255.25565,534
40208.39.0.0/16208.39.0.1 to 208.39.255.254208.39.255.25565,534
41208.40.0.0/16208.40.0.1 to 208.40.255.254208.40.255.25565,534
42208.41.0.0/16208.41.0.1 to 208.41.255.254208.41.255.25565,534
43208.42.0.0/16208.42.0.1 to 208.42.255.254208.42.255.25565,534
44208.43.0.0/16208.43.0.1 to 208.43.255.254208.43.255.25565,534
45208.44.0.0/16208.44.0.1 to 208.44.255.254208.44.255.25565,534
46208.45.0.0/16208.45.0.1 to 208.45.255.254208.45.255.25565,534
47208.46.0.0/16208.46.0.1 to 208.46.255.254208.46.255.25565,534
48208.47.0.0/16208.47.0.1 to 208.47.255.254208.47.255.25565,534
49208.48.0.0/16208.48.0.1 to 208.48.255.254208.48.255.25565,534
50208.49.0.0/16208.49.0.1 to 208.49.255.254208.49.255.25565,534
51208.50.0.0/16208.50.0.1 to 208.50.255.254208.50.255.25565,534
52208.51.0.0/16208.51.0.1 to 208.51.255.254208.51.255.25565,534
53208.52.0.0/16208.52.0.1 to 208.52.255.254208.52.255.25565,534
54208.53.0.0/16208.53.0.1 to 208.53.255.254208.53.255.25565,534
55208.54.0.0/16208.54.0.1 to 208.54.255.254208.54.255.25565,534
56208.55.0.0/16208.55.0.1 to 208.55.255.254208.55.255.25565,534
57208.56.0.0/16208.56.0.1 to 208.56.255.254208.56.255.25565,534
58208.57.0.0/16208.57.0.1 to 208.57.255.254208.57.255.25565,534
59208.58.0.0/16208.58.0.1 to 208.58.255.254208.58.255.25565,534
60208.59.0.0/16208.59.0.1 to 208.59.255.254208.59.255.25565,534
61208.60.0.0/16208.60.0.1 to 208.60.255.254208.60.255.25565,534
62208.61.0.0/16208.61.0.1 to 208.61.255.254208.61.255.25565,534
63208.62.0.0/16208.62.0.1 to 208.62.255.254208.62.255.25565,534
64208.63.0.0/16208.63.0.1 to 208.63.255.254208.63.255.25565,534
65208.64.0.0/16208.64.0.1 to 208.64.255.254208.64.255.25565,534
66208.65.0.0/16208.65.0.1 to 208.65.255.254208.65.255.25565,534
67208.66.0.0/16208.66.0.1 to 208.66.255.254208.66.255.25565,534
68208.67.0.0/16208.67.0.1 to 208.67.255.254208.67.255.25565,534
69208.68.0.0/16208.68.0.1 to 208.68.255.254208.68.255.25565,534
70208.69.0.0/16208.69.0.1 to 208.69.255.254208.69.255.25565,534
71208.70.0.0/16208.70.0.1 to 208.70.255.254208.70.255.25565,534
72208.71.0.0/16208.71.0.1 to 208.71.255.254208.71.255.25565,534
73208.72.0.0/16208.72.0.1 to 208.72.255.254208.72.255.25565,534
74208.73.0.0/16208.73.0.1 to 208.73.255.254208.73.255.25565,534
75208.74.0.0/16208.74.0.1 to 208.74.255.254208.74.255.25565,534
76208.75.0.0/16208.75.0.1 to 208.75.255.254208.75.255.25565,534
77208.76.0.0/16208.76.0.1 to 208.76.255.254208.76.255.25565,534
78208.77.0.0/16208.77.0.1 to 208.77.255.254208.77.255.25565,534
79208.78.0.0/16208.78.0.1 to 208.78.255.254208.78.255.25565,534
80208.79.0.0/16208.79.0.1 to 208.79.255.254208.79.255.25565,534
81208.80.0.0/16208.80.0.1 to 208.80.255.254208.80.255.25565,534
82208.81.0.0/16208.81.0.1 to 208.81.255.254208.81.255.25565,534
83208.82.0.0/16208.82.0.1 to 208.82.255.254208.82.255.25565,534
84208.83.0.0/16208.83.0.1 to 208.83.255.254208.83.255.25565,534
85208.84.0.0/16208.84.0.1 to 208.84.255.254208.84.255.25565,534
86208.85.0.0/16208.85.0.1 to 208.85.255.254208.85.255.25565,534
87208.86.0.0/16208.86.0.1 to 208.86.255.254208.86.255.25565,534
88208.87.0.0/16208.87.0.1 to 208.87.255.254208.87.255.25565,534
89208.88.0.0/16208.88.0.1 to 208.88.255.254208.88.255.25565,534
90208.89.0.0/16208.89.0.1 to 208.89.255.254208.89.255.25565,534
91208.90.0.0/16208.90.0.1 to 208.90.255.254208.90.255.25565,534
92208.91.0.0/16208.91.0.1 to 208.91.255.254208.91.255.25565,534
93208.92.0.0/16208.92.0.1 to 208.92.255.254208.92.255.25565,534
94208.93.0.0/16208.93.0.1 to 208.93.255.254208.93.255.25565,534
95208.94.0.0/16208.94.0.1 to 208.94.255.254208.94.255.25565,534
96208.95.0.0/16208.95.0.1 to 208.95.255.254208.95.255.25565,534
97208.96.0.0/16208.96.0.1 to 208.96.255.254208.96.255.25565,534
98208.97.0.0/16208.97.0.1 to 208.97.255.254208.97.255.25565,534
99208.98.0.0/16208.98.0.1 to 208.98.255.254208.98.255.25565,534
100208.99.0.0/16208.99.0.1 to 208.99.255.254208.99.255.25565,534
101208.100.0.0/16208.100.0.1 to 208.100.255.254208.100.255.25565,534
102208.101.0.0/16208.101.0.1 to 208.101.255.254208.101.255.25565,534
103208.102.0.0/16208.102.0.1 to 208.102.255.254208.102.255.25565,534
104208.103.0.0/16208.103.0.1 to 208.103.255.254208.103.255.25565,534
105208.104.0.0/16208.104.0.1 to 208.104.255.254208.104.255.25565,534
106208.105.0.0/16208.105.0.1 to 208.105.255.254208.105.255.25565,534
107208.106.0.0/16208.106.0.1 to 208.106.255.254208.106.255.25565,534
108208.107.0.0/16208.107.0.1 to 208.107.255.254208.107.255.25565,534
109208.108.0.0/16208.108.0.1 to 208.108.255.254208.108.255.25565,534
110208.109.0.0/16208.109.0.1 to 208.109.255.254208.109.255.25565,534
111208.110.0.0/16208.110.0.1 to 208.110.255.254208.110.255.25565,534
112208.111.0.0/16208.111.0.1 to 208.111.255.254208.111.255.25565,534
113208.112.0.0/16208.112.0.1 to 208.112.255.254208.112.255.25565,534
114208.113.0.0/16208.113.0.1 to 208.113.255.254208.113.255.25565,534
115208.114.0.0/16208.114.0.1 to 208.114.255.254208.114.255.25565,534
116208.115.0.0/16208.115.0.1 to 208.115.255.254208.115.255.25565,534
117208.116.0.0/16208.116.0.1 to 208.116.255.254208.116.255.25565,534
118208.117.0.0/16208.117.0.1 to 208.117.255.254208.117.255.25565,534
119208.118.0.0/16208.118.0.1 to 208.118.255.254208.118.255.25565,534
120208.119.0.0/16208.119.0.1 to 208.119.255.254208.119.255.25565,534
121208.120.0.0/16208.120.0.1 to 208.120.255.254208.120.255.25565,534
122208.121.0.0/16208.121.0.1 to 208.121.255.254208.121.255.25565,534
123208.122.0.0/16208.122.0.1 to 208.122.255.254208.122.255.25565,534
124208.123.0.0/16208.123.0.1 to 208.123.255.254208.123.255.25565,534
125208.124.0.0/16208.124.0.1 to 208.124.255.254208.124.255.25565,534
126208.125.0.0/16208.125.0.1 to 208.125.255.254208.125.255.25565,534
127208.126.0.0/16208.126.0.1 to 208.126.255.254208.126.255.25565,534
128208.127.0.0/16208.127.0.1 to 208.127.255.254208.127.255.25565,534
129208.128.0.0/16208.128.0.1 to 208.128.255.254208.128.255.25565,534
130208.129.0.0/16208.129.0.1 to 208.129.255.254208.129.255.25565,534
131208.130.0.0/16208.130.0.1 to 208.130.255.254208.130.255.25565,534
132208.131.0.0/16208.131.0.1 to 208.131.255.254208.131.255.25565,534
133208.132.0.0/16208.132.0.1 to 208.132.255.254208.132.255.25565,534
134208.133.0.0/16208.133.0.1 to 208.133.255.254208.133.255.25565,534
135208.134.0.0/16208.134.0.1 to 208.134.255.254208.134.255.25565,534
136208.135.0.0/16208.135.0.1 to 208.135.255.254208.135.255.25565,534
137208.136.0.0/16208.136.0.1 to 208.136.255.254208.136.255.25565,534
138208.137.0.0/16208.137.0.1 to 208.137.255.254208.137.255.25565,534
139208.138.0.0/16208.138.0.1 to 208.138.255.254208.138.255.25565,534
140208.139.0.0/16208.139.0.1 to 208.139.255.254208.139.255.25565,534
141208.140.0.0/16208.140.0.1 to 208.140.255.254208.140.255.25565,534
142208.141.0.0/16208.141.0.1 to 208.141.255.254208.141.255.25565,534
143208.142.0.0/16208.142.0.1 to 208.142.255.254208.142.255.25565,534
144208.143.0.0/16208.143.0.1 to 208.143.255.254208.143.255.25565,534
145208.144.0.0/16208.144.0.1 to 208.144.255.254208.144.255.25565,534
146208.145.0.0/16208.145.0.1 to 208.145.255.254208.145.255.25565,534
147208.146.0.0/16208.146.0.1 to 208.146.255.254208.146.255.25565,534
148208.147.0.0/16208.147.0.1 to 208.147.255.254208.147.255.25565,534
149208.148.0.0/16208.148.0.1 to 208.148.255.254208.148.255.25565,534
150208.149.0.0/16208.149.0.1 to 208.149.255.254208.149.255.25565,534
151208.150.0.0/16208.150.0.1 to 208.150.255.254208.150.255.25565,534
152208.151.0.0/16208.151.0.1 to 208.151.255.254208.151.255.25565,534
153208.152.0.0/16208.152.0.1 to 208.152.255.254208.152.255.25565,534
154208.153.0.0/16208.153.0.1 to 208.153.255.254208.153.255.25565,534
155208.154.0.0/16208.154.0.1 to 208.154.255.254208.154.255.25565,534
156208.155.0.0/16208.155.0.1 to 208.155.255.254208.155.255.25565,534
157208.156.0.0/16208.156.0.1 to 208.156.255.254208.156.255.25565,534
158208.157.0.0/16208.157.0.1 to 208.157.255.254208.157.255.25565,534
159208.158.0.0/16208.158.0.1 to 208.158.255.254208.158.255.25565,534
160208.159.0.0/16208.159.0.1 to 208.159.255.254208.159.255.25565,534
161208.160.0.0/16208.160.0.1 to 208.160.255.254208.160.255.25565,534
162208.161.0.0/16208.161.0.1 to 208.161.255.254208.161.255.25565,534
163208.162.0.0/16208.162.0.1 to 208.162.255.254208.162.255.25565,534
164208.163.0.0/16208.163.0.1 to 208.163.255.254208.163.255.25565,534
165208.164.0.0/16208.164.0.1 to 208.164.255.254208.164.255.25565,534
166208.165.0.0/16208.165.0.1 to 208.165.255.254208.165.255.25565,534
167208.166.0.0/16208.166.0.1 to 208.166.255.254208.166.255.25565,534
168208.167.0.0/16208.167.0.1 to 208.167.255.254208.167.255.25565,534
169208.168.0.0/16208.168.0.1 to 208.168.255.254208.168.255.25565,534
170208.169.0.0/16208.169.0.1 to 208.169.255.254208.169.255.25565,534
171208.170.0.0/16208.170.0.1 to 208.170.255.254208.170.255.25565,534
172208.171.0.0/16208.171.0.1 to 208.171.255.254208.171.255.25565,534
173208.172.0.0/16208.172.0.1 to 208.172.255.254208.172.255.25565,534
174208.173.0.0/16208.173.0.1 to 208.173.255.254208.173.255.25565,534
175208.174.0.0/16208.174.0.1 to 208.174.255.254208.174.255.25565,534
176208.175.0.0/16208.175.0.1 to 208.175.255.254208.175.255.25565,534
177208.176.0.0/16208.176.0.1 to 208.176.255.254208.176.255.25565,534
178208.177.0.0/16208.177.0.1 to 208.177.255.254208.177.255.25565,534
179208.178.0.0/16208.178.0.1 to 208.178.255.254208.178.255.25565,534
180208.179.0.0/16208.179.0.1 to 208.179.255.254208.179.255.25565,534
181208.180.0.0/16208.180.0.1 to 208.180.255.254208.180.255.25565,534
182208.181.0.0/16208.181.0.1 to 208.181.255.254208.181.255.25565,534
183208.182.0.0/16208.182.0.1 to 208.182.255.254208.182.255.25565,534
184208.183.0.0/16208.183.0.1 to 208.183.255.254208.183.255.25565,534
185208.184.0.0/16208.184.0.1 to 208.184.255.254208.184.255.25565,534
186208.185.0.0/16208.185.0.1 to 208.185.255.254208.185.255.25565,534
187208.186.0.0/16208.186.0.1 to 208.186.255.254208.186.255.25565,534
188208.187.0.0/16208.187.0.1 to 208.187.255.254208.187.255.25565,534
189208.188.0.0/16208.188.0.1 to 208.188.255.254208.188.255.25565,534
190208.189.0.0/16208.189.0.1 to 208.189.255.254208.189.255.25565,534
191208.190.0.0/16208.190.0.1 to 208.190.255.254208.190.255.25565,534
192208.191.0.0/16208.191.0.1 to 208.191.255.254208.191.255.25565,534
193208.192.0.0/16208.192.0.1 to 208.192.255.254208.192.255.25565,534
194208.193.0.0/16208.193.0.1 to 208.193.255.254208.193.255.25565,534
195208.194.0.0/16208.194.0.1 to 208.194.255.254208.194.255.25565,534
196208.195.0.0/16208.195.0.1 to 208.195.255.254208.195.255.25565,534
197208.196.0.0/16208.196.0.1 to 208.196.255.254208.196.255.25565,534
198208.197.0.0/16208.197.0.1 to 208.197.255.254208.197.255.25565,534
199208.198.0.0/16208.198.0.1 to 208.198.255.254208.198.255.25565,534
200208.199.0.0/16208.199.0.1 to 208.199.255.254208.199.255.25565,534
201208.200.0.0/16208.200.0.1 to 208.200.255.254208.200.255.25565,534
202208.201.0.0/16208.201.0.1 to 208.201.255.254208.201.255.25565,534
203208.202.0.0/16208.202.0.1 to 208.202.255.254208.202.255.25565,534
204208.203.0.0/16208.203.0.1 to 208.203.255.254208.203.255.25565,534
205208.204.0.0/16208.204.0.1 to 208.204.255.254208.204.255.25565,534
206208.205.0.0/16208.205.0.1 to 208.205.255.254208.205.255.25565,534
207208.206.0.0/16208.206.0.1 to 208.206.255.254208.206.255.25565,534
208208.207.0.0/16208.207.0.1 to 208.207.255.254208.207.255.25565,534
209208.208.0.0/16208.208.0.1 to 208.208.255.254208.208.255.25565,534
210208.209.0.0/16208.209.0.1 to 208.209.255.254208.209.255.25565,534
211208.210.0.0/16208.210.0.1 to 208.210.255.254208.210.255.25565,534
212208.211.0.0/16208.211.0.1 to 208.211.255.254208.211.255.25565,534
213208.212.0.0/16208.212.0.1 to 208.212.255.254208.212.255.25565,534
214208.213.0.0/16208.213.0.1 to 208.213.255.254208.213.255.25565,534
215208.214.0.0/16208.214.0.1 to 208.214.255.254208.214.255.25565,534
216208.215.0.0/16208.215.0.1 to 208.215.255.254208.215.255.25565,534
217208.216.0.0/16208.216.0.1 to 208.216.255.254208.216.255.25565,534
218208.217.0.0/16208.217.0.1 to 208.217.255.254208.217.255.25565,534
219208.218.0.0/16208.218.0.1 to 208.218.255.254208.218.255.25565,534
220208.219.0.0/16208.219.0.1 to 208.219.255.254208.219.255.25565,534
221208.220.0.0/16208.220.0.1 to 208.220.255.254208.220.255.25565,534
222208.221.0.0/16208.221.0.1 to 208.221.255.254208.221.255.25565,534
223208.222.0.0/16208.222.0.1 to 208.222.255.254208.222.255.25565,534
224208.223.0.0/16208.223.0.1 to 208.223.255.254208.223.255.25565,534
225208.224.0.0/16208.224.0.1 to 208.224.255.254208.224.255.25565,534
226208.225.0.0/16208.225.0.1 to 208.225.255.254208.225.255.25565,534
227208.226.0.0/16208.226.0.1 to 208.226.255.254208.226.255.25565,534
228208.227.0.0/16208.227.0.1 to 208.227.255.254208.227.255.25565,534
229208.228.0.0/16208.228.0.1 to 208.228.255.254208.228.255.25565,534
230208.229.0.0/16208.229.0.1 to 208.229.255.254208.229.255.25565,534
231208.230.0.0/16208.230.0.1 to 208.230.255.254208.230.255.25565,534
232208.231.0.0/16208.231.0.1 to 208.231.255.254208.231.255.25565,534
233208.232.0.0/16208.232.0.1 to 208.232.255.254208.232.255.25565,534
234208.233.0.0/16208.233.0.1 to 208.233.255.254208.233.255.25565,534
235208.234.0.0/16208.234.0.1 to 208.234.255.254208.234.255.25565,534
236208.235.0.0/16208.235.0.1 to 208.235.255.254208.235.255.25565,534
237208.236.0.0/16208.236.0.1 to 208.236.255.254208.236.255.25565,534
238208.237.0.0/16208.237.0.1 to 208.237.255.254208.237.255.25565,534
239208.238.0.0/16208.238.0.1 to 208.238.255.254208.238.255.25565,534
240208.239.0.0/16208.239.0.1 to 208.239.255.254208.239.255.25565,534
241208.240.0.0/16208.240.0.1 to 208.240.255.254208.240.255.25565,534
242208.241.0.0/16208.241.0.1 to 208.241.255.254208.241.255.25565,534
243208.242.0.0/16208.242.0.1 to 208.242.255.254208.242.255.25565,534
244208.243.0.0/16208.243.0.1 to 208.243.255.254208.243.255.25565,534
245208.244.0.0/16208.244.0.1 to 208.244.255.254208.244.255.25565,534
246208.245.0.0/16208.245.0.1 to 208.245.255.254208.245.255.25565,534
247208.246.0.0/16208.246.0.1 to 208.246.255.254208.246.255.25565,534
248208.247.0.0/16208.247.0.1 to 208.247.255.254208.247.255.25565,534
249208.248.0.0/16208.248.0.1 to 208.248.255.254208.248.255.25565,534
250208.249.0.0/16208.249.0.1 to 208.249.255.254208.249.255.25565,534
251208.250.0.0/16208.250.0.1 to 208.250.255.254208.250.255.25565,534
252208.251.0.0/16208.251.0.1 to 208.251.255.254208.251.255.25565,534
253208.252.0.0/16208.252.0.1 to 208.252.255.254208.252.255.25565,534
254208.253.0.0/16208.253.0.1 to 208.253.255.254208.253.255.25565,534
255208.254.0.0/16208.254.0.1 to 208.254.255.254208.254.255.25565,534
256208.255.0.0/16208.255.0.1 to 208.255.255.254208.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses